lkml.org 
[lkml]   [2019]   [Jun]   [25]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: nl80211 wlcore regression in next
Hi,

* Johannes Berg <johannes@sipsolutions.net> [190625 07:47]:
> On Tue, 2019-06-25 at 00:38 -0700, Tony Lindgren wrote:
> > Hi,
> >
> > Looks like at least drivers/net/wireless/ti wlcore driver has stopped
> > working in Linux next with commit 901bb9891855 ("nl80211: require and
> > validate vendor command policy"). Reverting the commit above makes it
> > work again.
> >
> > It fails with the warning below, any ideas what goes wrong?
>
> Oops. For some reason, I neglected to check the vendor command usage
> beyond hwsim.
>
> The patch below should work?

Yeah thanks that fixes the issue for me:

Tested-by: Tony Lindgren <tony@atomide.com>

\
 
 \ /
  Last update: 2019-06-25 10:01    [W:0.053 / U:26.728 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site